For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LoginBook a Demo
  • Getting Started
    • Athena SDK Quickstart
  • Database API
    • Database Filters & CRUD
  • Python Guides
    • Build with Agents
    • Use Models Directly
    • Load Data Frames
    • Upload Files
    • Create Assets
    • Structured Output
    • Long-Running AOP Execution
  • TypeScript Guides
    • Build with Agents
    • Working with Assets
    • Use Models Directly
    • Execute AOPs
    • Sheets API
    • Browser JavaScript (ESM)
    • UI Registry (Assistant.js)
    • Upload Files
    • Create Assets
    • Structured Output
  • API Reference
      • POSTGet the chunks of an asset by ID
      • GETGet the content of an asset by ID
      • GETGet a screenshot of a specific page from an asset
      • GETList Contents
      • GETGet Tabular Data from Object
      • GETGet Raw File Data from Object
      • POSTSave file as an asset
Logo
LoginBook a Demo
API ReferenceTools

List Contents

Beta
GET
https://api.athenaintel.com/api/v0/tools/contents
GET
/api/v0/tools/contents
$curl https://api.athenaintel.com/api/v0/tools/contents \
> -H "X-API-KEY: <apiKey>"
1{
2 "structure_tree_ascii": "string",
3 "tree_data": {}
4}

List contents of an asset (Folder, Collection, Project) or entire workspace in a tree structure.

Was this page helpful?
Previous

Get Tabular Data from Object

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

asset_idstring or nullOptional
include_asset_detailsbooleanOptionalDefaults to false
include_system_filesbooleanOptionalDefaults to false

Response

Successful Response
structure_tree_asciistring
tree_datamap from strings to objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error